Subject: Re: [netmod] for a future rfc6991bis

From: Qin Wu <[email-masked]>
Date: Thu, 1 Nov 2018 14:44:39 +0000

That's a good use case for geo-location service. If the geo-location information is specified in routing protocol, I think it should also be specified by YANG, but need to make sure they are consistent.
For precision of longitude and latitude, why not use DMS (Degree, Minute, Second)?

-Qin
-----邮件原件-----
发件人: Acee Lindem (acee) [mailto:[email-masked]] 
发送时间: 2018年11月1日 22:18
收件人: Qin Wu <[email-masked]>; Juergen Schoenwaelder <[email-masked]>; [email-masked]
主题: Re: [netmod] for a future rfc6991bis

Hi Qin,

We'd tried to converge on geo-coordinates in the protocols and received and a rather wide range of opinions as to the precision and what was required. An IETF consensus is required and not everyone is going to be happy. However, I'm not sure where this work lies and it hasn't been a priority for me. In fact, I let my draft expire: https://www.ietf.org/archive/id/draft-acee-ospf-geo-location-05.txt. I think trying to adding these before this happens could delay the BIS update. 

Thanks,
Acee

On 11/1/18, 7:55 AM, "netmod on behalf of Qin Wu" <[email-masked] on behalf of [email-masked]> wrote:

    I am wondering if we can add longitude, latitude in DMS or decimal degree,
    Further we can consider to add
    Postal-code, Country-code like Location type.
    
    -Qin
    -----邮件原件-----
    发件人: netmod [mailto:[email-masked]] 代表 Juergen Schoenwaelder
    发送时间: 2018年10月31日 20:47
    收件人: [email-masked]
    主题: Re: [netmod] for a future rfc6991bis
    
    Here is my list of possible additions. I might have lost some items on a computer that meanwhile is not used anymore, I will have to dig a bit to see what I can recover.
    
    /js
    
    On Wed, Oct 31, 2018 at 01:26:01PM +0100, Ladislav Lhotka wrote:
    > Hi,
    > 
    > another update that was discussed recently is a clarification of the 
    > XPath context for the xpath1.0 type.
    > 
    > Lada
    > 
    > Kent Watsen <[email-masked]> writes:
    > 
    > > NETMOD WG,
    > >
    > > A conversation in NETCONF WG regarding the yang-push noted that it 
    > > might be time to update RFC 6991, in particular to introduce a type for time-duration.
    > >
    > >   
    > > https://mailarchive.ietf.org/arch/msg/netconf/KaUJloIShkLNIXTuHZNwB-
    > > SYBnQ
    > >
    > > In addition, it might be good to introduce [inet?] types for RFC 
    > > 5322 (Internet Message Format) including perhaps:
    > >
    > >   - email-address        (addr-spec, per Section 3.4.1)
    > >   - named-email-address  (name-addr, per Section 3.4)
    > >
    > >
    > > Kent // contributor
    > >
    > >
    > >
    > > _______________________________________________
    > > netmod mailing list
    > > [email-masked]
    > > https://www.ietf.org/mailman/listinfo/netmod
    > 
    > --
    > Ladislav Lhotka
    > Head, CZ.NIC Labs
    > PGP Key ID: 0xB8F92B08A9F76C67
    > 
    > _______________________________________________
    > netmod mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/netmod
    
    -- 
    Juergen Schoenwaelder           Jacobs University Bremen gGmbH
    Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
    Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>
    _______________________________________________
    netmod mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/netmod

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 1 Nov 2018 14:47:31 +0000

Hi Qin,

On 11/1/18, 10:44 AM, "Qin Wu" <[email-masked]> wrote:

I'd be happy to reach consensus on this but we're going to solve it in this Email thread. 

Thanks,
Acee
    
    -Qin
    -----邮件原件-----
    发件人: Acee Lindem (acee) [mailto:[email-masked]] 
    发送时间: 2018年11月1日 22:18
    收件人: Qin Wu <[email-masked]>; Juergen Schoenwaelder <[email-masked]>; [email-masked]
    主题: Re: [netmod] for a future rfc6991bis
    
    Hi Qin,

    Thanks,
    Acee

        
        -Qin
        -----邮件原件-----
        发件人: netmod [mailto:[email-masked]] 代表 Juergen Schoenwaelder
        发送时间: 2018年10月31日 20:47
        收件人: [email-masked]
        主题: Re: [netmod] for a future rfc6991bis

        /js